> For the complete documentation index, see [llms.txt](https://api-docs.appointo.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.appointo.me/reference/api-reference/subscription-contracts.md).

# Subscription Contracts

## To fetch subscription contracts

## Get Subscription Contracts

<mark style="color:blue;">`GET`</mark> `https://app.appointo.me/api/appointment_subscriptions`

#### Query Parameters

| Name                    | Type   | Description                                                                                                                  |
| ----------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------- |
| search\_term (optional) | string | <p>Search keyword can be any of the following:<br> - Product Name<br> - Variant Name<br> - Order No.<br> - Customer Name</p> |

#### Headers

| Name                                             | Type   | Description        |
| ------------------------------------------------ | ------ | ------------------ |
| APPOINTO-TOKEN<mark style="color:red;">\*</mark> | String | Appointo API token |

{% tabs %}
{% tab title="200 contracts successfully fetched" %}

```json
[{
    id: 123,
    ...
}]
```

{% endtab %}

{% tab title="401 Permission denied" %}
{"error\_code":"invalid\_api\_token","message":"API token is invalid. Please check token in Appointo settings."}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.appointo.me/reference/api-reference/subscription-contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
